import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSExpression } from "../Foundation/NSExpression.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _NSPropertyMapping extends _NSObject {
    static alloc(): _NSPropertyMapping;
    static new(): _NSPropertyMapping;
    init(): _NSPropertyMapping;
    /**
     * Returns/sets the name of the property in the destination entity for the mapping.
     */
    name(): _NSString | null;
    setName$(value: _NSString | null): void;
    /**
     * Returns/sets the value expression for the property mapping. The expression is used to create the value for the destination property.
     */
    valueExpression(): _NSExpression | null;
    setValueExpression$(value: _NSExpression | null): void;
    /** Returns/sets the user info for the property mapping. */
    userInfo(): _NSDictionary | null;
    setUserInfo$(value: _NSDictionary | null): void;
}
